Package org.codehaus.groovy.transform.sc.transformers

# Class RangeExpressionTransformer

java.lang.Object
org.codehaus.groovy.transform.sc.transformers.RangeExpressionTransformer

public class RangeExpressionTransformer extends Object
This transformer focuses on ranges to produce optimized bytecode.

Author:
  Cedric Champeau

## Constructor Summary

Constructors
Constructor
Description
`RangeExpressionTransformer(StaticCompilationTransformer transformer)`

## Method Summary

Modifier and Type
Method
Description
`Expression`
`transformRangeExpression(RangeExpression range)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RangeExpressionTransformer

public RangeExpressionTransformer(StaticCompilationTransformer transformer)

## Method Details

### transformRangeExpression

public Expression transformRangeExpression(RangeExpression range)